<?

function cnvdateepoch($date) {
	if (!$date) {
		return 0;
	}
	// 25/12/2005 00:22
	// 0123456789012345
	$inicio_epoch=mktime("0","0","0","1","1","2005",0);
	$a_fechacompleta=explode("/",$date);
	$day = $a_fechacompleta[0];
	$month = $a_fechacompleta[1];	
	$year_hora = $a_fechacompleta[2]; // puede ser el aņo xxxx o aņo mas hora y minutao.	
	if (strlen($year_hora)>4) {
		$ayear=explode(" ",$year_hora);
		echo var_dump($ayear);
		$year=$ayear[0];	
		$ahora=explode(":",$ayear[1]);
		$hour= $ahora[0];
		$minute= $ahora[1];
	} else {
		$year=$year_hora;
		$hour=0;
		$minute=0;
	}
	echo "mktime($hour, $minute, 0, $month, $day, $year); ";
	$timestamp 	= mktime($hour, $minute, 0, $month, $day, $year);
	$resultado=floor(($timestamp-$inicio_epoch)/60);	
	return $resultado;
}


function cnvepochdatelargo($epoch) {
	if (!$epoch) {
		return "";
	}
	$inicio_epoch=mktime("0","0","0","1","1","2005",0);
	$tmp=$inicio_epoch+($epoch*60);
	return date('d/m/Y G:i',$tmp);
}
echo cnvepochdatelargo(25022);
echo cnvdateepoch(cnvepochdatelargo(25022));

?>